DbEnv::get_lg_max()
Prev | Chapter 8. The DbLsn Handle | Next

## DbEnv::get_lg_max()

    #include <db_cxx.h>

    int
    DbEnv::get_lg_max(u_int32_t *lg_maxp);

The `DbEnv::get_lg_max()` method returns the maximum log file size. You can manage this value using the DbEnv::set_lg_max() method.

The `DbEnv::get_lg_max()` method may be called at any time during the life of the application.

The `DbEnv::get_lg_max()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### lg_maxp

The `DbEnv::get_lg_max()` method returns the maximum log file size in lg_maxp.

### Class

DbEnv, DbLogc, DbLsn

### See Also

Logging Subsystem and Related Methods, DbEnv::set_lg_max()

Prev | Up | Next
DbEnv::get_lg_filemode() | Home | DbEnv::get_lg_regionmax()